---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 2c01cbd7-acc2-56f6-b2fa-075eaee4366a
      tier: AATSR_CMP_MONTH
      value: 0.07450924813747406
    brdf:
      alpha_1:
        band_1: 0.1464099248595519
        band_11: 0.1949210982774668
        band_12: 0.16336903408495423
        band_2: 0.1464099248595519
        band_3: 0.27475654637859875
        band_4: 0.18320989819425781
        band_5: 0.18320989819425781
        band_6: 0.18320989819425781
        band_7: 0.23705206238510929
        band_8: 0.23705206238510929
        band_8a: 0.23705206238510929
      alpha_2:
        band_1: 0.19035168544745898
        band_11: 0.1468738332795911
        band_12: 0.15748284361585588
        band_2: 0.19035168544745898
        band_3: 0.1656150960783401
        band_4: 0.16785682457495005
        band_5: 0.16785682457495005
        band_6: 0.16785682457495005
        band_7: 0.1521247447987881
        band_8: 0.1521247447987881
        band_8a: 0.1521247447987881
      id:
      - 76cfe2fa-30f1-5fbd-8e48-7ef03f650b39
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 471e3c03-1c60-5329-a764-85d6b1e63c78
      tier: DEFINITIVE
      value: 0.271
    water_vapour:
      id:
      - e8e40950-5960-5d6f-a543-726a53311754
      tier: DEFINITIVE
      value: 5.6099998474121096
  id: e90e5f43-a3d9-409d-ac9d-fcfd9deaf7fb
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2006.2293814707755
      BAND-11: 246.7071317446507
      BAND-12: 86.31431912914492
      BAND-2: 2059.730159621122
      BAND-3: 1930.1717510651688
      BAND-4: 1575.5723594060644
      BAND-5: 1454.707432796883
      BAND-6: 1330.0131020532417
      BAND-7: 1222.560865628574
      BAND-8: 1074.913793481966
      BAND-8A: 979.9212124695482
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2020-12-21 01:14:20.918005Z
    atime: 2022-08-03 07:33:40Z
    ctime: 2020-12-21 04:50:43Z
    mtime: 2020-12-21 04:50:39Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2020/2020-12/25S130E-30S135E/S2B_MSIL1C_20201221T010729_N0209_R045_T53JMM_20201221T022901.zip
  system_information:
    hostname: gadi-cpu-clx-0702.gadi.nci.org.au
    runtime_id: 987813c2-12fe-11ed-885c-0000007ffe80
    time_processed: 2022-08-03 07:33:40.695479Z
    uname: 'Linux gadi-cpu-clx-0702.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 10.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 4
  granule: S2B_OPER_MSI_L1C_TL_EPAE_20201221T022901_A019805_T53JMM_N02.09
  ref_date: '2014-09-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/077/LC81020772014244LGN00_B6.TIF
  residual:
    abs:
      x: 6.9
      xy: 84.03
      y: 83.75
    abs_iterative_mean:
      x: 6.15
      xy: 84.51
      y: 84.29
    cep90: 87.94
    iterative_mean:
      x: -6.15
      xy: 84.51
      y: -84.29
    iterative_stddev:
      x: 2.18
      xy: 3.99
      y: 3.34
    mean:
      x: -6.9
      xy: 84.03
      y: -83.75
    stddev:
      x: 3.83
      xy: 6.39
      y: 5.12
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 0.0
    cloud: 99.99841739078504
    cloud_shadow: 0.0
    snow: 0.001582609214966108
    water: 0.0
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 0.7614739168085043
    cloud: 99.23852608319149
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.3
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
